For the complete documentation index, see llms.txt. This page is also available as Markdown.

Git Repositories

get

Return list of active repositories in the organization

πŸ”’ Requires the read:package permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
installation_idstringOptional

App installation ID for the repository

Example: 12345678
Responses
200

List of active repositories

application/json

List of active repositories

statusCodenumberRequiredExample: 200
messagestringRequiredExample: Repositories retrieved successfully
get/api/v1/git/repos
GET /api/v1/git/repos HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "statusCode": 200,
  "message": "Repositories retrieved successfully",
  "repos": [
    {
      "provider": "github",
      "repo": "organization/repository",
      "installationId": "12345678",
      "createdBy": {
        "id": "prov0|1234567890",
        "name": "John Doe",
        "nickname": "JD",
        "picture": "https://example.com/profile.jpg"
      },
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": null,
      "isActive": true,
      "triggers": [
        {
          "id": "123e4567-e89b-12d3-a456-42661417400",
          "git_ref": "main",
          "path": "path/to/subdirectory",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": null,
          "isActive": true
        }
      ],
      "publisherJobId": "123e4567-e89b-12d3-a456-42661417400"
    }
  ]
}
post

Register a new trigger for the git repository

πŸ”’ Requires the create:package permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
installation_idstringRequired

App installation ID for the repository

Example: 12345678
repostringRequired

Repository name with owner

Example: organization/repository
git_refstringRequired

The git branch name the package was created from

Example: main
pathstringRequired

The git subdirectory path of the package repository

Example: path/to/subdirectory
packagestringOptional

The package name e.g. @bluebricks/aws-vpc

Example: @bluebricks/aws-vpc
Responses
200

Trigger registered successfully

application/json

Trigger registered successfully

providerstring Β· enumRequired

Git provider type

Example: githubPossible values:
repostringRequired

Repository name with owner

Example: organization/repository
installationIdstring Β· nullableRequired

App installation ID for the repository

Example: 12345678
createdAtstring Β· date-timeRequired

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

updatedAtstring Β· nullableRequired

The date and time the resource was updated e.g. 2022-01-01T00:00:00.000Z

isActivebooleanRequired

Indicates if the repository is active

Example: true
publisherJobIdstring Β· uuidOptional

Unique identifier for the publisher status stream job

Example: 123e4567-e89b-12d3-a456-42661417400
post/api/v1/git/register
POST /api/v1/git/register HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 142

{
  "installation_id": "12345678",
  "repo": "organization/repository",
  "git_ref": "main",
  "path": "path/to/subdirectory",
  "package": "@bluebricks/aws-vpc"
}
{
  "provider": "github",
  "repo": "organization/repository",
  "installationId": "12345678",
  "createdBy": {
    "id": "prov0|1234567890",
    "name": "John Doe",
    "nickname": "JD",
    "picture": "https://example.com/profile.jpg"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": null,
  "isActive": true,
  "triggers": [
    {
      "id": "123e4567-e89b-12d3-a456-42661417400",
      "git_ref": "main",
      "path": "path/to/subdirectory",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": null,
      "isActive": true
    }
  ],
  "publisherJobId": "123e4567-e89b-12d3-a456-42661417400"
}
put

Activate git trigger

πŸ”’ Requires the create:package permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
triggerIdstring Β· uuidRequired

Unique identifier for the git trigger

Example: 123e4567-e89b-12d3-a456-42661417400
Responses
200

Updated trigger information for the git repository

application/json

Updated trigger information for the git repository

providerstring Β· enumRequired

Git provider type

Example: githubPossible values:
repostringRequired

Repository name with owner

Example: organization/repository
installationIdstring Β· nullableRequired

App installation ID for the repository

Example: 12345678
createdAtstring Β· date-timeRequired

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

updatedAtstring Β· nullableRequired

The date and time the resource was updated e.g. 2022-01-01T00:00:00.000Z

isActivebooleanRequired

Indicates if the repository is active

Example: true
publisherJobIdstring Β· uuidOptional

Unique identifier for the publisher status stream job

Example: 123e4567-e89b-12d3-a456-42661417400
put/api/v1/git/trigger
PUT /api/v1/git/trigger HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "triggerId": "123e4567-e89b-12d3-a456-42661417400"
}
{
  "provider": "github",
  "repo": "organization/repository",
  "installationId": "12345678",
  "createdBy": {
    "id": "prov0|1234567890",
    "name": "John Doe",
    "nickname": "JD",
    "picture": "https://example.com/profile.jpg"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": null,
  "isActive": true,
  "triggers": [
    {
      "id": "123e4567-e89b-12d3-a456-42661417400",
      "git_ref": "main",
      "path": "path/to/subdirectory",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": null,
      "isActive": true
    }
  ],
  "publisherJobId": "123e4567-e89b-12d3-a456-42661417400"
}
delete

Deactivate git trigger

πŸ”’ Requires the create:package permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
triggerIdstring Β· uuidRequired

Unique identifier for the git trigger

Example: 123e4567-e89b-12d3-a456-42661417400
Responses
200

Updated trigger information for the git repository

application/json

Updated trigger information for the git repository

providerstring Β· enumRequired

Git provider type

Example: githubPossible values:
repostringRequired

Repository name with owner

Example: organization/repository
installationIdstring Β· nullableRequired

App installation ID for the repository

Example: 12345678
createdAtstring Β· date-timeRequired

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

updatedAtstring Β· nullableRequired

The date and time the resource was updated e.g. 2022-01-01T00:00:00.000Z

isActivebooleanRequired

Indicates if the repository is active

Example: true
publisherJobIdstring Β· uuidOptional

Unique identifier for the publisher status stream job

Example: 123e4567-e89b-12d3-a456-42661417400
delete/api/v1/git/trigger
DELETE /api/v1/git/trigger HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "triggerId": "123e4567-e89b-12d3-a456-42661417400"
}
{
  "provider": "github",
  "repo": "organization/repository",
  "installationId": "12345678",
  "createdBy": {
    "id": "prov0|1234567890",
    "name": "John Doe",
    "nickname": "JD",
    "picture": "https://example.com/profile.jpg"
  },
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": null,
  "isActive": true,
  "triggers": [
    {
      "id": "123e4567-e89b-12d3-a456-42661417400",
      "git_ref": "main",
      "path": "path/to/subdirectory",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": null,
      "isActive": true
    }
  ],
  "publisherJobId": "123e4567-e89b-12d3-a456-42661417400"
}
post

Return git credentials for the publisher within the organization

πŸ”’ Requires the read:package permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
git_remote_urlstringOptional

The git remote url of the package repository

Example: https://github.com/username/repository.git
Responses
200

Git credentials for the publisher within the organization

application/json

Git credentials for the publisher within the organization

organizationstringRequired

The organization ID

Example: org_abCdeFghIjklMnmP
git_remote_urlstringOptional

The git remote url of the package repository

Example: https://github.com/username/repository.git
installation_idstringRequired

App installation ID for the repository

Example: 12345678
post/api/v1/git-credentials
POST /api/v1/git-credentials HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63

{
  "git_remote_url": "https://github.com/username/repository.git"
}
{
  "credentials": {
    "token": "text",
    "type": "text",
    "expiration": "2025-04-07T11:00:00Z"
  },
  "organization": "org_abCdeFghIjklMnmP",
  "git_remote_url": "https://github.com/username/repository.git",
  "installation_id": "12345678"
}

Last updated